Kerbal Space Program - Bug #18704

R.A.P.l.E.R. Mode changes on staging when in space above Kerbin
04/27/2018 07:51 AM - jclovis3

Status: Not a Bug Start date: 04/27/2018
Severity: Low % Done: 0%
Assignee:

Category: Parts

Target version:

Version: 1.4.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

Background: The R.A.P.I.E.R. engine is known for it's duel mode capability, using air where available and liquid oxygen when not.
The changing of modes in this engine can be set with an action group along with opening and closing all your intakes.

Problem: This engine will revert to “ClosedCycle” (needs a space) if activated through staging while above Kerbin’s atmosphere.
While this may seem like the ideal mode to operate this engine, it sets it off from the cycle of the intakes which are toggled by the
same action group in the attached craft file. Nothing in the description suggests this engine will automatically change cycles, and the
player may want to switch to ClosedCycle early when thrust drops below a desired level.

Expected result: This engine should remain in what ever mode it was last set to, either via build or changes in flight. Staging should
not cause the mode to change.

This bug was found while playing 1.4.2, but verified in 1.4.3 before posting.
| reviewed Bug #9803 which suggests that the engine should change modes automatically, but reports that it may be part of a mod
that does that.

Related issues:
Related to Kerbal Space Program - Bug #9803: CR-7 R.A.P.1.E.R engine: Staging... Not a Bug 05/30/2016

History

#1 - 04/27/2018 11:41 AM - Squelch
- File screenshot2.png added
- File screenshot1.png added
- File screenshot0.png added

- Status changed from New to Need More Info

The behaviour you are requesting is already available in the engine's part action window while building the craft. When set to manual switching, the
engine will remain in whatever mode it is currently. This can also be pre-determined in the craft editor. Action groups can them be used to toggle the
mode freely. Staging will only activate the engine, and does not determine the mode.

See the attached screenshots for the location of the settings and the resulting flight when set to manual. Note that the engine is activated, but is still
set to to the airbreathing mode.

Does this satisfy the requirements?

#2 - 04/27/2018 11:44 AM - Squelch
- Related to Bug #9803: CR-7 R.A.P.l.E.R engine: Staging issue added

#3 - 04/27/2018 10:14 PM - jclovis3

- Status changed from Need More Info to Updated

- % Done changed from 0 to 10

Sorry, you're right. | didn't realize that option was there. Can you bump this over to, "Not a Bug" for me please.

Truth be told, in all the years I've been playing, I've only just recently gotten back into toying with planes and space planes. All this bug testing has
gotten me trying out new things. It's a whole new game for me, yeah.
https://bugs.kerbalspaceprogram.com/issues/9803

#4 - 04/30/2018 04:57 PM - Squelch
- Status changed from Updated to Not a Bug
- % Done changed from 10 to 0

Thanks for confirming. Marking as not a bug by request.
